"""
Exceptions for HECKfile processing.
"""

class HeckException (BaseException):
    """
    Base exception for HECKfile processing.
    """


class HeckParseException(HeckException):
    """
    Raised for parse errors specifically.
    """


class HeckLexException(HeckException):
    """
    Raised for lex errors specifically.
    """
